#include <cstdio>
#include <cstring>
#include <cctype>
using namespace std;
char buf[1048577];
int main()
{
    int n;
    scanf("%d",&n);
    while(n--)
    {
        int ans=0;
        scanf("%s",buf);
        for(char* ptr=buf; *ptr; ptr++)
            ans+=isdigit(*ptr);
        printf("%d\n",ans);
    }
    return 0;
}
